# set instance path
if { $BEHAVIORAL_SIM == 1 } {
    set ppc405_register_path "/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst"
} else {
    set ppc405_register_path "/testbench"
}

# enable SWIFT PPC405 register view
if { $PPC_MODEL_BFM == 0 && $BEHAVIORAL_SIM == 1 } {
    lmcwin enable $ppc405_register_path/apucntl
    lmcwin enable $ppc405_register_path/udi_instr1
    lmcwin enable $ppc405_register_path/udi_instr2
    lmcwin enable $ppc405_register_path/udi_instr3
    lmcwin enable $ppc405_register_path/udi_instr4
    lmcwin enable $ppc405_register_path/udi_instr5
    lmcwin enable $ppc405_register_path/udi_instr6
    lmcwin enable $ppc405_register_path/udi_instr7
    lmcwin enable $ppc405_register_path/udi_instr8
    lmcwin enable $ppc405_register_path/dcdAddr
    lmcwin enable $ppc405_register_path/dcdData
    lmcwin enable $ppc405_register_path/exeFull
    lmcwin enable $ppc405_register_path/exeAddr
    lmcwin enable $ppc405_register_path/exeAReg
    lmcwin enable $ppc405_register_path/exeBReg
    lmcwin enable $ppc405_register_path/exeResult
    lmcwin enable $ppc405_register_path/GPR0
    lmcwin enable $ppc405_register_path/GPR1
    lmcwin enable $ppc405_register_path/GPR2
    lmcwin enable $ppc405_register_path/GPR3
    lmcwin enable $ppc405_register_path/GPR4
    lmcwin enable $ppc405_register_path/GPR5
    lmcwin enable $ppc405_register_path/GPR6
    lmcwin enable $ppc405_register_path/GPR7
    lmcwin enable $ppc405_register_path/GPR8
    lmcwin enable $ppc405_register_path/GPR9
    lmcwin enable $ppc405_register_path/GPR10
    lmcwin enable $ppc405_register_path/GPR11
    lmcwin enable $ppc405_register_path/GPR12
    lmcwin enable $ppc405_register_path/GPR13
    lmcwin enable $ppc405_register_path/GPR14
    lmcwin enable $ppc405_register_path/GPR15
    lmcwin enable $ppc405_register_path/GPR16
    lmcwin enable $ppc405_register_path/GPR17
    lmcwin enable $ppc405_register_path/GPR18
    lmcwin enable $ppc405_register_path/GPR19
    lmcwin enable $ppc405_register_path/GPR20
    lmcwin enable $ppc405_register_path/GPR21
    lmcwin enable $ppc405_register_path/GPR22
    lmcwin enable $ppc405_register_path/GPR23
    lmcwin enable $ppc405_register_path/GPR24
    lmcwin enable $ppc405_register_path/GPR25
    lmcwin enable $ppc405_register_path/GPR26
    lmcwin enable $ppc405_register_path/GPR27
    lmcwin enable $ppc405_register_path/GPR28
    lmcwin enable $ppc405_register_path/GPR29
    lmcwin enable $ppc405_register_path/GPR30
    lmcwin enable $ppc405_register_path/GPR31
    lmcwin enable $ppc405_register_path/CR
    lmcwin enable $ppc405_register_path/CTR
    lmcwin enable $ppc405_register_path/DAC1
    lmcwin enable $ppc405_register_path/DAC2
    lmcwin enable $ppc405_register_path/DVC1
    lmcwin enable $ppc405_register_path/DVC2
    lmcwin enable $ppc405_register_path/XER
    lmcwin enable $ppc405_register_path/DBCR0
    lmcwin enable $ppc405_register_path/DBCR1
    lmcwin enable $ppc405_register_path/DBSR
    lmcwin enable $ppc405_register_path/DBDR
    lmcwin enable $ppc405_register_path/DCCR
    lmcwin enable $ppc405_register_path/DEAR
    lmcwin enable $ppc405_register_path/DCWR
    lmcwin enable $ppc405_register_path/ICCR
    lmcwin enable $ppc405_register_path/SLER
    lmcwin enable $ppc405_register_path/SU0R
    lmcwin enable $ppc405_register_path/SGR
    lmcwin enable $ppc405_register_path/ZPR
    lmcwin enable $ppc405_register_path/PID
    lmcwin enable $ppc405_register_path/CCR0
    lmcwin enable $ppc405_register_path/ICDBDR
    lmcwin enable $ppc405_register_path/IAC1
    lmcwin enable $ppc405_register_path/IAC2
    lmcwin enable $ppc405_register_path/IAC3
    lmcwin enable $ppc405_register_path/IAC4
    lmcwin enable $ppc405_register_path/LR
    lmcwin enable $ppc405_register_path/EVPR
    lmcwin enable $ppc405_register_path/SPRG0
    lmcwin enable $ppc405_register_path/SPRG1
    lmcwin enable $ppc405_register_path/SPRG2
    lmcwin enable $ppc405_register_path/SPRG3
    lmcwin enable $ppc405_register_path/SPRG4
    lmcwin enable $ppc405_register_path/SPRG5
    lmcwin enable $ppc405_register_path/SPRG6
    lmcwin enable $ppc405_register_path/SPRG7
    lmcwin enable $ppc405_register_path/SRR0
    lmcwin enable $ppc405_register_path/SRR1
    lmcwin enable $ppc405_register_path/SRR2
    lmcwin enable $ppc405_register_path/SRR3
    lmcwin enable $ppc405_register_path/MSR
    lmcwin enable $ppc405_register_path/PVR
    lmcwin enable $ppc405_register_path/ESR
    lmcwin enable $ppc405_register_path/PIT
    lmcwin enable $ppc405_register_path/TBH
    lmcwin enable $ppc405_register_path/TBL
    lmcwin enable $ppc405_register_path/TSR
    lmcwin enable $ppc405_register_path/TCR
}

onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -divider Testbench
add wave -noupdate -format Logic /testbench/system_0/uart_RX
add wave -noupdate -format Logic /testbench/system_0/uart_TX
add wave -noupdate -format Logic /testbench/system_0/sys_clk_in
add wave -noupdate -format Logic /testbench/system_0/sys_rst_in
add wave -noupdate -divider {APU to FCM Interface}
add wave -noupdate -format Logic /testbench/system_0/sys_clk_s
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/clock
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/reset
add wave -noupdate -format Literal -radix unsigned /testbench/system_0/fcm_0/fcm_0/curr_state
add wave -noupdate -format Literal -radix unsigned /testbench/system_0/fcm_0/fcm_0/next_state
add wave -noupdate -format Literal -radix unsigned /testbench/system_0/fcm_0/fcm_0/reg_RT
add wave -noupdate -format Literal -radix unsigned /testbench/system_0/fcm_0/fcm_0/reg_RA
add wave -noupdate -format Literal -radix unsigned /testbench/system_0/fcm_0/fcm_0/reg_RB
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/instrreg_we
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/store_or_loadn
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/store_or_loadn_reg
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/regfile_we
add wave -noupdate -format Literal -radix unsigned /testbench/system_0/fcm_0/fcm_0/regfile_waddr
add wave -noupdate -format Literal -radix decimal /testbench/system_0/fcm_0/fcm_0/regfile_wdata
add wave -noupdate -format Literal -radix unsigned /testbench/system_0/fcm_0/fcm_0/regfile_raddr
add wave -noupdate -format Literal -radix decimal /testbench/system_0/fcm_0/fcm_0/regfile_rdata
add wave -noupdate -format Literal -radix unsigned /testbench/system_0/fcm_0/fcm_0/ldst_size
add wave -noupdate -format Literal -radix unsigned /testbench/system_0/fcm_0/fcm_0/ldst_size_reg
add wave -noupdate -format Literal -radix unsigned /testbench/system_0/fcm_0/fcm_0/ldst_size_counter
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/ldst_size_counter_we
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/clock
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/fcm_0/fcm_0/APUFCMINSTRUCTION
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/APUFCMINSTRVALID
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/APUFCMDECODED
add wave -noupdate -format Literal -radix decimal /testbench/system_0/fcm_0/fcm_0/APUFCMLOADDATA
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/APUFCMLOADDVALID
add wave -noupdate -format Literal /testbench/system_0/fcm_0/fcm_0/APUFCMLOADBYTEEN
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPULOADWAIT
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDONE
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUSLEEPNOTREADY
add wave -noupdate -format Literal -radix decimal /testbench/system_0/fcm_0/fcm_0/FCMAPURESULT
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPURESULTVALID
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/APUFCMFLUSH
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/APUFCMWRITEBACKOK
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUINSTRACK
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDECODEBUSY
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDGPRWRITE
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDRAEN
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDRBEN
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDPRIVOP
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDFORCEALIGN
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDXEROVEN
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDXERCAEN
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDCREN
add wave -noupdate -format Literal /testbench/system_0/fcm_0/fcm_0/FCMAPUEXECRFIELD
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDLOAD
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDSTORE
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDUPDATE
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDLDSTBYTE
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDLDSTHW
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDLDSTWD
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDLDSTDW
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDLDSTQW
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDTRAPLE
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDTRAPBE
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDFORCEBESTEERING
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUDCDFPUOP
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUEXEBLOCKINGMCO
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUEXENONBLOCKINGMCO
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUXEROV
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUXERCA
add wave -noupdate -format Literal /testbench/system_0/fcm_0/fcm_0/FCMAPUCR
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/FCMAPUEXCEPTION
add wave -noupdate -format Literal -radix unsigned /testbench/system_0/fcm_0/fcm_0/APUFCMRADATA
add wave -noupdate -format Literal -radix unsigned /testbench/system_0/fcm_0/fcm_0/APUFCMRBDATA
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/APUFCMOPERANDVALID
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/APUFCMENDIAN
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/APUFCMXERCA
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/fcm_0/fcm_0/APUFCMDECUDI
add wave -noupdate -format Logic /testbench/system_0/fcm_0/fcm_0/APUFCMDECUDIVALID
add wave -noupdate -divider {PPC405 Instruction Cache Unit PLB Interface}
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbclk
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbicurequest
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbicuabort
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbicurnw
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405plbicuabus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405plbicube
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbicucacheable
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbicuguarded
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405plbicupriority
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405plbicusize
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405plbicutype
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbicuu0attr
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405icuaddrack
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/plbc405icussize
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405icubusy
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405icuerr
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405icurddack
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/plbc405icurddbus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/plbc405icurdwdaddr
add wave -noupdate -divider {PPC405 Data Cache Unit PLB Interface}
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbclk
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbdcurequest
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbdcuabort
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbdcurnw
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405plbdcuabus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405plbdcube
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbdcucacheable
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbdcuguarded
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405plbdcupriority
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405plbdcusize
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405plbdcutype
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbdcuu0attr
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbdcuwritethru
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405dcuaddrack
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/plbc405dcussize
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405dcubusy
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405dcuerr
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405dcurddack
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/plbc405dcurddbus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/plbc405dcurdwdaddr
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405dcuwrdack
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405plbdcuwrdbus
add wave -noupdate -divider {Complete PPC405 APU}
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/apufcmdecoded
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/apufcmdecudi
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/apufcmdecudivalid
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/apufcmendian
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/apufcmflush
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/apufcminstruction
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/apufcminstrvalid
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/apufcmloadbyteen
add wave -noupdate -format Literal -radix decimal /testbench/system_0/ppc405_0/apufcmloaddata
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/apufcmloaddvalid
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/apufcmoperandvalid
add wave -noupdate -format Literal -radix unsigned /testbench/system_0/ppc405_0/apufcmradata
add wave -noupdate -format Literal -radix unsigned /testbench/system_0/ppc405_0/apufcmrbdata
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/apufcmwritebackok
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/apufcmxerca
add wave -noupdate -divider {Complete PPC405 FCM Interface}
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/cpmfcmclk
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/fcmapucr
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdcren
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdforcealign
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdforcebesteering
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdfpuop
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdgprwrite
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdldstbyte
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdldstdw
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdldsthw
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdldstqw
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdldstwd
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdload
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdprivop
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdraen
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdrben
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdstore
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdtrapbe
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdtraple
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdupdate
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdxercaen
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudcdxeroven
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudecodebusy
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapudone
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapuexception
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapuexeblockingmco
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/fcmapuexecrfield
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapuexenonblockingmco
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapuinstrack
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapuloadwait
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/fcmapuresult
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapuresultvalid
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapusleepnotready
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapuxerca
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/fcmapuxerov
add wave -noupdate -divider {PPC405}
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/cpmc405clock
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/rstc405resetchip
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/rstc405resetcore
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/rstc405resetsys
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/eicc405critinputirq
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/eicc405extinputirq
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbdcubuslock
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbdculockerr
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405plbdcumsize
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbdcuordered
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbdcurdburst
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbdcuwrburst
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405dcurdbterm
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405dcurearbitrate
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405dcuwrbterm
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405dcuserr
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405dcusbusys
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbicubuslock
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbiculockerr
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405plbicumsize
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbicuordered
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbicurdburst
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405plbicuwrburst
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405plbicuwrdbus
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405icurdbterm
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405icurearbitrate
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405icuwrbterm
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405icuwrdack
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405icuserr
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/plbc405icusbusys
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405cpmcoresleepreq
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405cpmmsrce
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405cpmmsree
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405cpmtimerirq
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405cpmtimerresetreq
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405xxxmachinecheck
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/cpmc405coreclkinactive
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/cpmc405cpuclken
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/cpmc405jtagclken
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/cpmc405timerclken
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/cpmc405timertick
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/mcbcpuclken
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/mcbtimeren
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/mcppcrst
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/cpmdcrclk
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405rstchipresetreq
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405rstcoreresetreq
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405rstsysresetreq
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/bramdsocmclk
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/bramdsocmrddbus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/dsarcvalue
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/dscntlvalue
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/dsocmbramabus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/dsocmbrambytewrite
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/dsocmbramen
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/dsocmbramwrdbus
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/dsocmbusy
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/dsocmrdaddrvalid
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/dsocmwraddrvalid
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/dsocmrwcomplete
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/bramisocmclk
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/bramisocmrddbus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/bramisocmdcrrddbus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/isarcvalue
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/iscntlvalue
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/isocmbramen
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/isocmbramevenwriteen
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/isocmbramoddwriteen
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/isocmbramrdabus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/isocmbramwrabus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/isocmbramwrdbus
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/isocmdcrbramevenen
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/isocmdcrbramodden
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/isocmdcrbramrdselect
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/dcremacabus
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/dcremacclk
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/dcremacdbus
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/dcremacenabler
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/dcremacread
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/dcremacwrite
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/emacdcrack
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/emacdcrdbus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/extdcrabus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/extdcrdbusout
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/extdcrread
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/extdcrwrite
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/extdcrack
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/extdcrdbusin
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405jtgcapturedr
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405jtgextest
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405jtgpgmout
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405jtgshiftdr
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405jtgtdo
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405jtgtdoen
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405jtgupdatedr
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/mcbjtagen
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/jtgc405bndscantdo
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/jtgc405tck
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/jtgc405tdi
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/jtgc405tms
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/jtgc405trstneg
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405dbgmsrwe
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405dbgstopack
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405dbgwbcomplete
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405dbgwbfull
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405dbgwbiar
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/dbgc405debughalt
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/dbgc405extbusholdack
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/dbgc405unconddebugevent
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405dbgloaddataonapudbus
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405trccycle
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405trcevenexecutionstatus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405trcoddexecutionstatus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405trctracestatus
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/c405trctriggereventout
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/ppc405_0/c405trctriggereventtype
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/trcc405tracedisable
add wave -noupdate -format Logic /testbench/system_0/ppc405_0/trcc405triggereventin
add wave -noupdate -format Logic /testbench/system_0/resetchip
add wave -noupdate -format Logic /testbench/system_0/resetcore
add wave -noupdate -format Logic /testbench/system_0/resetsys
#add wave -noupdate -format Logic /testbench/system_0/ext_irq
add wave -noupdate -format Logic /testbench/system_0/resetchipreq
add wave -noupdate -format Logic /testbench/system_0/resetcorereq
add wave -noupdate -format Logic /testbench/system_0/resetsysreq
add wave -noupdate -format Logic /testbench/system_0/uart_RX
add wave -noupdate -format Logic /testbench/system_0/uart_TX
add wave -noupdate -format Logic /testbench/system_0/net_gnd0
add wave -noupdate -format Logic /testbench/system_0/net_gnd1
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/net_gnd10
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/net_gnd32
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/net_gnd64
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/net_gnd8
add wave -noupdate -format Logic /testbench/system_0/net_vcc0
add wave -noupdate -format Logic /testbench/system_0/net_vcc1
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb_v20_0_M_ABus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb_v20_0_M_BE
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb_v20_0_M_DBus
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0_M_RNW
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0_M_busLock
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0_M_request
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0_M_select
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0_M_seqAddr
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb_v20_0_OPB_ABus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb_v20_0_OPB_BE
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb_v20_0_OPB_DBus
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0_OPB_MGrant
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0_OPB_RNW
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0_OPB_Rst
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0_OPB_errAck
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0_OPB_retry
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0_OPB_select
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0_OPB_seqAddr
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0_OPB_timeout
add wave -noupdate -format Logic /testbench/system_0/opb_v20_0_OPB_xferAck
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb_v20_0_Sl_DBus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb_v20_0_Sl_errAck
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb_v20_0_Sl_retry
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb_v20_0_Sl_toutSup
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/opb_v20_0_Sl_xferAck
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_ABus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_BE
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_MSize
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_RNW
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_abort
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_busLock
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_compress
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_guarded
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_lockErr
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_ordered
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_priority
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_rdBurst
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_request
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_size
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_type
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_wrBurst
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_M_wrDBus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB2OPB_rearb
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_ABus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_BE
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_MAddrAck
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_MBusy
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_MErr
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_MRdBTerm
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_MRdDAck
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_MRdDBus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_MRdWdAddr
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_MRearbitrate
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_MSSize
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_MSize
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_MWrBTerm
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_MWrDAck
add wave -noupdate -format Logic /testbench/system_0/plb_v34_0_PLB_PAValid
add wave -noupdate -format Logic /testbench/system_0/plb_v34_0_PLB_RNW
add wave -noupdate -format Logic /testbench/system_0/plb_v34_0_PLB_Rst
add wave -noupdate -format Logic /testbench/system_0/plb_v34_0_PLB_SAValid
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_SMBusy
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_SMErr
add wave -noupdate -format Logic /testbench/system_0/plb_v34_0_PLB_abort
add wave -noupdate -format Logic /testbench/system_0/plb_v34_0_PLB_busLock
add wave -noupdate -format Logic /testbench/system_0/plb_v34_0_PLB_compress
add wave -noupdate -format Logic /testbench/system_0/plb_v34_0_PLB_guarded
add wave -noupdate -format Logic /testbench/system_0/plb_v34_0_PLB_lockErr
add wave -noupdate -format Logic /testbench/system_0/plb_v34_0_PLB_masterID
add wave -noupdate -format Logic /testbench/system_0/plb_v34_0_PLB_ordered
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_pendPri
add wave -noupdate -format Logic /testbench/system_0/plb_v34_0_PLB_pendReq
add wave -noupdate -format Logic /testbench/system_0/plb_v34_0_PLB_rdBurst
add wave -noupdate -format Logic /testbench/system_0/plb_v34_0_PLB_rdPrim
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_reqPri
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_size
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_type
add wave -noupdate -format Logic /testbench/system_0/plb_v34_0_PLB_wrBurst
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_PLB_wrDBus
add wave -noupdate -format Logic /testbench/system_0/plb_v34_0_PLB_wrPrim
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_Sl_MBusy
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_Sl_MErr
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_Sl_SSize
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_Sl_addrAck
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_Sl_rdBTerm
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_Sl_rdComp
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_Sl_rdDAck
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_Sl_rdDBus
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_Sl_rdWdAddr
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_Sl_rearbitrate
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_Sl_wait
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_Sl_wrBTerm
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_Sl_wrComp
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_v34_0_Sl_wrDAck
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_bram_if_cntlr_0_port_BRAM_Addr
add wave -noupdate -format Logic /testbench/system_0/plb_bram_if_cntlr_0_port_BRAM_Clk
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_bram_if_cntlr_0_port_BRAM_Din
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_bram_if_cntlr_0_port_BRAM_Dout
add wave -noupdate -format Logic /testbench/system_0/plb_bram_if_cntlr_0_port_BRAM_EN
add wave -noupdate -format Logic /testbench/system_0/plb_bram_if_cntlr_0_port_BRAM_Rst
add wave -noupdate -format Literal -radix hexadecimal /testbench/system_0/plb_bram_if_cntlr_0_port_BRAM_WEN
add wave -noupdate -format Logic /testbench/system_0/sys_clk_in
add wave -noupdate -format Logic /testbench/system_0/sys_rst_in
TreeUpdate [SetDefaultTree]

# add PPC405 registers and APU signals
if { $PPC_MODEL_BFM == 0 } {
    quietly WaveActivateNextPane
    add wave -noupdate -divider {CPU Registers}
    add wave -noupdate -divider {(Only Valid w/ PPC405 SWIFT Model}
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/apucntl
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/udi_instr1
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/udi_instr2
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/udi_instr3
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/udi_instr4
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/udi_instr5
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/udi_instr6
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/udi_instr7
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/udi_instr8
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/dcdAddr
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/dcdData
    add wave -noupdate -format Logic $ppc405_register_path/exeFull
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/exeAddr
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/exeAReg
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/exeBReg
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/exeResult
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR0
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR1
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR2
    add wave -noupdate -format Literal -radix decimal $ppc405_register_path/GPR3
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR4
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR5
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR6
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR7
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR8
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR9
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR10
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR11
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR12
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR13
    add wave -noupdate -format Literal -radix unsigned $ppc405_register_path/GPR14
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR15
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR16
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR17
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR18
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR19
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR20
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR21
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR22
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR23
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR24
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR25
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR26
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR27
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR28
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR29
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR30
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/GPR31
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/CR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/CTR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DAC1
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DAC2
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DVC1
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DVC2
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/XER
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DBCR0
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DBCR1
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DBSR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DBDR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DCCR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DEAR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/DCWR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/ICCR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SLER
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SU0R
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SGR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/ZPR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/PID
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/CCR0
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/ICDBDR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/IAC1
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/IAC2
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/IAC3
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/IAC4
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/LR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/EVPR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SPRG0
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SPRG1
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SPRG2
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SPRG3
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SPRG4
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SPRG5
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SPRG6
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SPRG7
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SRR0
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SRR1
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SRR2
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/SRR3
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/MSR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/PVR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/ESR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/PIT
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/TBH
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/TBL
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/TSR
    add wave -noupdate -format Literal -radix hexadecimal $ppc405_register_path/TCR
    TreeUpdate [SetDefaultTree]
}

WaveRestoreCursors {{Cursor 1} {25813052 ps} 0}
WaveRestoreZoom {25812518 ps} {25814747 ps}
configure wave -namecolwidth 179
configure wave -valuecolwidth 63
configure wave -justifyvalue left
configure wave -signalnamewidth 1
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
